package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.ElecMeterH;
import com.ruoyi.ems.mapper.ElecMeterHMapper;
import com.ruoyi.ems.model.QueryMeter;
import com.ruoyi.ems.service.IElecMeterHService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

/**
 * 用电计量-小时Service业务层处理
 *
 * @author ruoyi
 * @date 2024-12-03
 */
@Service
public class ElecMeterHServiceImpl implements IElecMeterHService {
    @Autowired
    private ElecMeterHMapper elecMeterHMapper;

    /**
     * 查询用电计量-小时列表
     *
     * @param queryMeter 用电计量-小时
     * @return 用电计量-小时
     */
    @Override
    public List<ElecMeterH> selectElecMeterHList(QueryMeter queryMeter) {
        return elecMeterHMapper.selectElecMeterHList(queryMeter);
    }

    /**
     * 根据边界对象查询电表信息列表
     *
     * @param queryMeter 查询条件对象，用于指定查询条件
     * @return 返回电表信息列表，如果未找到符合条件的数据，则返回空列表
     */
    @Override
    public List<ElecMeterH> listByBoundaryObj(QueryMeter queryMeter) {
        return Collections.emptyList();
    }

    /**
     * 统计用电计量-根据边界对象
     *
     * @param queryMeter 查询条件
     * @return 统计电量信息
     */
    @Override
    public ElecMeterH staByBoundaryObj(QueryMeter queryMeter) {
        return null;
    }

    /**
     * 新增用电计量-小时
     *
     * @param elecMeterH 用电计量-小时
     * @return 结果
     */
    @Override
    public int insertElecMeterH(ElecMeterH elecMeterH) {
        return elecMeterHMapper.insertElecMeterH(elecMeterH);
    }

    /**
     * 修改用电计量-小时
     *
     * @param elecMeterH 用电计量-小时
     * @return 结果
     */
    @Override
    public int updateElecMeterH(ElecMeterH elecMeterH) {
        return elecMeterHMapper.updateElecMeterH(elecMeterH);
    }

    /**
     * 删除用电计量-小时信息
     *
     * @param date 日期
     * @return 结果
     */
    @Override
    public int deleteElecMeterHByDate(String date) {
        return elecMeterHMapper.deleteElecMeterHByDate(date);
    }
}
